de.esprit.netsuite.server.pathtree

## Class RemotePathInfo

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.io.PathInfo
      - - de.esprit.netsuite.server.pathtree.RemotePathInfo

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<PathInfo>

      public class RemotePathInfo
      extends PathInfo

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotePathInfo(java.nio.file.Path path)`
    `RemotePathInfo(java.nio.file.Path path, boolean isReadAttributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EspritPermission[]` | `getAssignedPermissions()`
    `void` | `setAssignedPermissions(EspritPermission[] permissions)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.io.PathInfo

      `compareTo, equals, getDataType, getElement, getElementCount, getFileName, getFullPathName, getLastModified, getParent, getParentPathName, getRenderColor, getRenderIcon, getRenderText, getRoot, getSize, hashCode, isDirectory, isExisting, isFile, startsWith, toDumpString, toFile, toPath`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotePathInfo

          public RemotePathInfo(java.nio.file.Path path)

    - #### RemotePathInfo

          public RemotePathInfo(java.nio.file.Path path,
                        boolean isReadAttributes)

  - ### Method Detail

    - #### setAssignedPermissions

          public void setAssignedPermissions(EspritPermission[] permissions)

    - #### getAssignedPermissions

          public EspritPermission[] getAssignedPermissions()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `PathInfo`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.